PDA

View Full Version : How to check which plugin is outdated?


Denying
21/03/2013, 10:25 AM
As the title asks, how may I check which plugin is outdated?

I mean, like every week I need to re-download my plugins because they update frequently.
And to be honest, I am tired of downloading them all everytime.

( Kind of hard to find links to download as well. )

Dzines4SAMP
21/03/2013, 10:28 AM
You can't check, either you see or realise that your plugin is out-dated. You can't do anything about it, unless the plugin has some auto-updater in it.

Misiur
21/03/2013, 10:30 AM
If the developer didn't implement auto-update/update-checker, there isn't available way! YSI automatically checks for updates, for some plugins you could use git repo informations to automate checking. I don't know much about SVN but it has some form of tracking current code version.

Denying
21/03/2013, 10:30 AM
You can't check, either you see or realise that your plugin is out-dated. You can't do anything about it, unless the plugin has some auto-updater in it.

Damn, it's becomes really annoying searching for the new updated plugin every week. :/

Thank you.

Plugins are not updated every week..

Just read the threads about the plugins you're using and check what's the last version. You may write it down on a paper to remember!

Well, I keep getting the message "File or function not found" blabla every week.
I download the new plugins and viola.. it works.

Konstantinos
21/03/2013, 10:31 AM
Plugins are not updated every week..

Just read the threads about the plugins you're using and check what's the last version. You may write it down on a paper to remember!

LarzI
21/03/2013, 10:32 AM
Damn, it's becomes really annoying searching for the new updated plugin every week. :/

Thank you.

Unless you wait for some promised features in next version of the plugin and/or you have bugs - updating shouldn't be necessary. If one of the former is true, then you'll have to keep a look-out for new updates. Else just check whenever a new sa-mp version is available.

JaKe Elite
21/03/2013, 10:32 AM
you don't need to re-download your plugins everytime there is new version.

Because, the updating plugins are only needed when a new SA-MP version has been came up (For plugins only who needed to be updated).

All you've just to do is wait. until Auto-Updater has been invented in SA-MP.

Denying
21/03/2013, 10:35 AM
you don't need to re-download your plugins everytime there is new version.

Because, the updating plugins are only needed when a new SA-MP version has been came up (For plugins only who needed to be updated).

All you've just to do is wait. until Auto-Updater has been invented in SA-MP.

But why does it send the following message?
Script[gamemodes/k.amx]: Run time error 19: "File or function is not found"

and everytime I download them it disappears?

Dzines4SAMP
21/03/2013, 11:17 AM
But why does it send the following message?
Script[gamemodes/k.amx]: Run time error 19: "File or function is not found"

and everytime I download them it disappears?

Old version of streamer.dll, I suppose.

Denying
21/03/2013, 11:26 AM
I am not using streamer, anyway I've already downloaded all of them and it is working once again.

Thank you all for the replies.

Konstantinos
21/03/2013, 11:29 AM
I've already downloaded all of them and it is working once again.

That's your mistake. You get an error and you download all the plugins you're using again.

Use nativechecker or crashdetect and it/they will help you on finding out which plugin needs to be updated.

Denying
21/03/2013, 12:18 PM
That's your mistake. You get an error and you download all the plugins you're using again.

Use nativechecker or crashdetect and it/they will help you on finding out which plugin needs to be updated.

But they just said I can't check which plugin. -_-
Nativechecker you said? Thank you I will search it up.